;---------------------------------------------------------------------------
; A Multi-Effects System
;---------------------------------------------------------------------------
; 1. Simple Sine Wave
; 2. Pluck
; 3. Mono Sampler
; 4. Noise
; 10. Compressor
; 11. Tube Amp Distortion
; 15. Resonant Filter
; 16. Talk-Box
; 20. Vibrato
; 21. Tremelo
; 22. Pitch Shifter
; 23. Panner
; 30. Stereo Flanger
; 31. Cross Feedback Flanger
; 35. Chorus
; 40. Delay
; 45. Reverb

;---------------------------------------------------------------------------
; Waveforms
;---------------------------------------------------------------------------
; Sine Wave
f1 0 8192 10 1
; Triangle Wave
f2 0 8192 7  -1  4096 1 4096 -1
; Sample
;f3 0 0 1 "harp.wav" 0 4 0
; Triangle Wave
f4 0 8192 7 0 4096 1 4096 0

; Distortion Tables
; Heavy Distortion
;f5 0 8192   8 -.8 336 -.76 3000 -.7 1520 .7 3000 .76 336 .8
; Slight Distortion
;f5 0 8192   8 -.8 336 -.78  800 -.7 5920 .7  800 .78 336 .8
; Tube Distortion
f5 0 8192 7 -.8 934 -.79 934 -.77 934 -.64 1034 -.48 520 .47 2300 .48 1536 .48

; Pitch Shift Window Shape (1/2 sine)
f8 0 16384 9 .5 1 0

; Formants
; Ahh/Oooh
f10 0 1024 -7 722  256 722  256 266  256 266  256 722
f11 0 1024 -7 1216 256 1216 256 1292 256 1292 256 1216
f12 0 1024 -7 2433 256 2433 256 2281 256 2281 256 2433
f13 0 1024 -7 3193 256 3193 256 3421 256 3421 256 3193

; Noise
;  Sta  Dur  Amp    OutCh
i4 0    2    10000  1

; Resonant Filter
; f3=Fco, f4=Rez
f20 0 8192 -7 400 2048 20 0 400 2048 20 0 400 2048 20 0 400 2048 20
f21 0 8192 -7 10 8192 10
;   Sta  Dur  Table1  Table2  LPMix  RzMix  InCh  OutCh
i15 0    2    20      21      1      1      1     2

; Flanger
;   Sta  Dur  Rate   Depth   Wave  Feedbk  Mix  DelayOff  InCh  OutChL  OutChR
;                   (1-40)
i30 0    2    2      20      1     .8      1    10        2     3       4

; Mixer
;    Sta Dur  Ch1  Gain  Pan  Ch2  Gain  Pan  Ch3  Gain  Pan  Ch4  Gain  Pan
i100 0   2    3    1     1    4    1     0    5    0     1    5    0     0
