;===========================================================================
; Modular Synthesizer
;===========================================================================
f1  0  8192  10  1                                 ;Sine
f2  0   256  7  -1  128  -1    0     1  128   1    ;Square
f3  0  8192  7   1 8192  -1                        ;Sawtooth

; Trigger for envelope
     Sta  Dur  DurCh
i6   0.0  1.0  10
     Sta  Dur  Amp    Pch   DurCh  AmpCh  PchCh
i1   0.0  1.0  10000  7.09  1      2      3

; 16 Step Sequencer
;f30  0   16  -2  1     1     1     1     1     1     1     1     1     1     1     1     1     1     1     1
;f31  0   16  -2  8000  6000  8000  4000  8000  6000  8000  8000  8000  6000  8000  4000  8000  6000  8000  8000
;f32  0   16  -2  7.00  7.00  7.00  7.00  7.05  7.00  7.00  7.00  7.00  7.00  7.00  7.00  7.05  7.00  7.00  7.00
;f30  2   16  -2  1     2     1     2     1     2     1     2     2     2     1     1     1     1     1     1
;f32  2   16  -2  9.03  9.03  9.03  9.02  9.02  9.01  9.01  9.01  9.00  9.00  7.00  7.00  7.05  7.00  7.00  7.00
;    Sta  Dur  DurTab  DurCh
;i2   0.0  4.0  30      1
;    Sta  Dur  AmpTab  PchTab  DurCh  AmpCh  FqcCh
;i3   0.0  4.0  31      32      1      2      3

; Oscillator
;    Sta  Dur  Table  FqcCh  OutACh
;i10  0.0  1.0  3      3      1     ; Table
;i11  0.0  1.0  1                   ; Noise

;Ins  Sta  Dur  Amp   FqcCh  Ratio  OutCh
i12   0.0  1.0  1     3      1.5    1      ; Oscillator  Synch

; f20=Fco, f21=Rez
f20 0 1024 -7 320 512 30 512 50
f21 0 1024 -7 60  512 50 512 100
f22 0 1024  7 0 128 1 128 .8 512 .5 256 0

; Envelope
;   Sta  Dur  DurCh  Amp  Table  OutKCh
i4  0.0  1.0  1      1    22     6      ; Amp
i4  0.0  1.0  10     1    20     4      ; Fco
i4  0.0  1.0  10     1    21     5      ; Rez

; Resonant Low-Pass Filter
;    Sta  Dur  FreqCh  RezCh   RZMix  InACh  OutACh
i20  0    1.0  4       5       1      1      2
i20  0    1.0  4       5       0      1      3

; Controlled Amplifier
;    Sta  Dur  MaxCh  ContCh  InACh  OutACh
i25  0    1.0  2      6       2      4
i25  0    1.0  2      6       3      5

; Tube Distortion
f5 0 8192 7 -.8 934 -.79 934 -.77 934 -.64 1034 -.48 520 .47 2300 .48 1536 .48
;   Sta  Dur  PreGain  PostGain  Duty  Table  InACh  OutACh
i30 0    1.0  1        1         .1    5      4      6

; Flanger
;   Sta  Dur  Rate   Depth   Wave  Feedbk  Mix  Delay  Phase  InACh  OutACh
i40 0    1.0  .5     1       1     .5      .5    2      0      6      7
i40 0    1.0  .5     1       1     .5      .5    2      .25    6      8

; Final Mixer
;     Sta  Dur  Ch1  Gain  Pan  Ch2  Gain  Pan
i100  0    1.0  5    .5    1    5    .5    0
i100  0    1.0  7    .5    1    8    .5    0

; Clear Audio
i110  0  1.0

