;===========================================================================
; Modular Synthesizer
;===========================================================================
f1  0  8192  10  1                                 ;Sine
f2  0   256  7  -1  128  -1    0     1  128   1    ;Square
f3  0  8192  7   1 8192  -1                        ;Sawtooth

; Trigger for envelope
;    Sta  Dur  DurCh
;i1   0.0  1.0  1
;    Sta  Dur  Amp    Pch   DurCh  AmpCh  PchCh
i2   0.0  1.0  10000  8.00  1      2      3

f20 0 1024  7 1   1024 1                        ; Amp
f21 0 1024 -7 220 512   70  256  70  256  50    ; Fco
f22 0 1024 -7  50 512   40  256  40  256  20    ; Rez
f23 0 1024 -7 800 512  200  256  200 256  100   ; Rez Fqc

; Envelope
;   Sta  Dur  DurCh  Amp  Table  OutKCh
i5  0.0  1.0  1      1    20     4      ; Amp
i5  0.0  1.0  1      1    21     5      ; Fco
i5  0.0  1.0  1      1    22     6      ; Rez
i5  0.0  1.0  1      1    23     7      ; Rez Fqc

; Oscillator
;    Sta  Dur  Table  FqcCh  OutCh
i10  0.0  1.0  3      3      1     ; Table
;i11  0.0  1.0  1                   ; Noise

; Resonant Low-Pass Filter
;    Sta  Dur  FreqCh  RezCh   RZMix  InACh  OutACh
i20  0    1.0  4       5       1      1      2
i20  0    1.0  4       5       0      1      3

; RMS
;    Sta  Dur  Fqc   InCh  OutKCh
i23  0    1.0  1000  2     8

; Controlled Amplifier
;    Sta  Dur  MaxCh  ContCh  InCh  OutCh
i25  0    1.0  2      6       1     7
i25  0    1.0  2      6       2     4
i25  0    1.0  2      6       3     5
i25  0    1.0  2      7       7     5

; Oscillator
;    Sta  Dur  Table  FqcCh  OutCh
i27  0.0  1.0  1      3      1     ; Table

; Tube Distortion
;f5 0 8192 7 -.8 934 -.79 934 -.77 934 -.64 1034 -.48 520 .47 2300 .48 1536 .48
;   Sta  Dur  PreGain  PostGain  Duty  Table  InACh  OutACh
;i30 0    1.0  1        1         .1    5      4      6

; Flanger
;   Sta  Dur  Rate   Depth   Wave  Feedbk  Mix  Delay  Phase  InACh  OutACh
;i40 0    1.0  .5     1       1     .5      .5    2      0      6      7
;i40 0    1.0  .5     1       1     .5      .5    2      .25    6      8

; Final Mixer
;     Sta  Dur  Ch1  Gain  Pan  Ch2  Gain  Pan
;i100  0    1.0  5    .8    1    5    .8    0
;i100  0    1.0  7    .8    1    8    .8    0
i100  0    1.0  4     .8   .5    5    .8   .5

; Clear Audio
i110  0  1.0

