; by Jon Christopher Nelson
sr=44100
kr=22050
ksmps=2
nchnls=2

instr 1 ;3-D wave terrain with oscils/phasors

;p4=amp p5-6=xtransi-f p7-8=xoscilampi-f p9-10=xoscilfreqi-f p11=xfn
;p12-13=ytransi-f p14-15=yoscilampi-f p16-17=yoscilfreqi-f p18=yfn
;p19=x plane fn table   p20=y plane fn table

kenv    linseg  0,.02,p4,p3-.04,p4,.02,0        ;amp envelope

;x index values follow
kxtrans line    p5,p3,p6        ;transverse movement in x plane
kxamp   line    p7,p3,p8        ;index oscillator amplitude
kxamp   =       kxamp*.5        ;normalizes oscil amp to index table
kxfreq  line    p9,p3,p10       ;x plane index oscil frequency
kxndx   oscili  kxamp,kxfreq,p11        ;p11=x index function
                                ;try sines, traingles, or ascending  lines from -1 to +1
                                ;(phasor) etc for index function
kxndx   =       frac(kxndx+1000.5+kxtrans) ;need fractional values
                ;to go from one terrain boundary to the other
                ;1000.5 avoids negative values and sets start point
                ;at table midpoint

;y index values follow
kytrans line    p12,p3,p13      ;transverse movement in x plane
kyamp   line    p14,p3,p15      ;index oscillator amplitude
kyamp   =       kyamp*.5        ;normalizes oscil amp to index table
kyfreq  line    p16,p3,p17      ;x plane index oscil frequency
kyndx   oscili  kyamp,kyfreq,p18        ;p11=x index function
                                ;try sines, traingles, or ascending  lines from -1 to +1
                                ;(phasor) etc for index function
kyndx   =       frac(kyndx+1000.5+kytrans) ;need fractional values
                ;to go from one terrain boundary to the other
                ;1000.5 avoids negative values and sets start point
                ;at table midpoint

ax tablei kxndx,p19,1,0,0 ;normalized (-1 to +1) audio for x plane
ay tablei kyndx,p20,1,0,0 ;normalized (-1 to +1) audio for y plane
az=(ax*ay)*kenv         ;tracks z plane to generate terrain waveform
outs    az/10,az/10
endin

