sr=44100
kr=4410
ksmps=10
nchnls=1

gasig init 0

; Pulse
instr 1

  kamp  linseg 0,p3/2,p4,p3/2,0
  asig  rand   kamp
  gasig =      gasig + asig

endin

; Sampler Mono
instr 3

  kamp  linseg  0, .01, p4, p3-.02, p4, .01, 0
  asamp loscil  kamp, p5, p6, 440, 1, p7, p8
  gasig =      gasig + asamp

endin

; Delay Network
instr 10

  igain   init    p10
  imax    init    p4/1100
  kxs     init    p5/1100
  kys     init    p6/1100
  kxr     init    p7/1100
  kyr     init    p8/1100
  il      init    p9/1100
  ilsq    init    il*il*100+1
  abtap   init    0

  ksrdsqi  =       (kxs-kxr)*(kxs-kxr)+(kys-kyr)*(kys-kyr)
  ksadsqi  =       kxs*kxs+(il-kys)*(il-kys)
  ksbdsqi  =       kxs*kxs+kys*kys
  kardsqi  =       kxr*kxr+(il-kyr)*(il-kyr)
  kbrdsqi  =       kxr*kxr+kyr*kyr

  ksrdist =       sqrt(ksrdsqi)
  ksadist =       sqrt(ksadsqi)
  ksbdist =       sqrt(ksbdsqi)
  kardist =       sqrt(kardsqi)
  kbrdist =       sqrt(kbrdsqi)

  ksrdsq =       ksrdsqi*100+1
  ksadsq =       ksadsqi*100+1
  ksbdsq =       ksbdsqi*100+1
  kardsq =       kardsqi*100+1
  kbrdsq =       kbrdsqi*100+1

  asig    =       gasig

  asrdel  delayr  imax
  asrtap  deltapi ksrdist
          delayw  asig/ksrdsq

  asadel  delayr  imax
  asatap  deltapi ksadist
          delayw  asig/ksadsq

  asbdel  delayr  imax
  asbtap  deltapi ksbdist
          delayw  asig/ksbdsq

; Node A
  aadel   delayr  imax
  aatap   deltapi il
          delayw  igain*(asatap+abtap)/ilsq

; Node B
  abdel   delayr  imax
  abtap   deltapi il
          delayw  igain*(asbtap+aatap)/ilsq

  aardel  delayr  imax
  aartap  deltapi kardist
          delayw  aatap/kardsq

  abrdel  delayr  imax
  abrtap  deltapi kbrdist
          delayw  abtap/kbrdsq

          out     asrtap+aartap+abrtap
  gasig=0

endin
