;------------------------------------------------------------------
; Industry
; by Hans Mikelson April 1998
;------------------------------------------------------------------
; ORCHESTRA

sr=44100
kr=22050
ksmps=2
nchnls=2

;------------------------------------------------------------------
; Industrial Loops
;------------------------------------------------------------------
        instr      2

idur    =          p3
iamp    =          p4*2
ifqc    =          cpspch(p5)
iplstab =          p6
irattab =          p7
iratrat =          p8
ipantab =          p9
imixtab =          p10
iloop   =          p11
adel    init       0

kprate  oscil      1, iratrat, irattab            ; Pulse Rate
kamp    oscil      iamp, kprate, iplstab          ; Amplitude Pulse
kloop   linseg     0, .005, 1, iloop-.01, 1, .005,  0, p3-iloop-.01, 0 ; Gate in delay loop
kpan    oscil      1, 1/idur, ipantab             ; Panning
kmix    oscil      1, 1/idur, imixtab             ; Fading

asig    rand       kamp                           ; Noise source
aflt    butterbp   asig, ifqc, ifqc/4             ; Band Filter
abal    balance    aflt, asig                     ; Bring level back up

aout    =          abal*kloop+adel                ; Gate in with feedback
adel    delay      aout, iloop                    ; Delay

        outs       aout*sqrt(kpan)*kmix, aout*sqrt(1-kpan)*kmix ; Output pan & fade

        endin

;------------------------------------------------------------------
; SciFi Loops
;------------------------------------------------------------------
        instr      3

idur    =          p3
iamp    =          p4
ifqc    =          cpspch(p5)
irattab =          p6
iratrat =          p7
ipantab =          p8
imixtab =          p9
iloop   =          p10
imodf   =          p11
imodl   =          p12
adel    init       0

krate   oscil      1, iratrat, irattab            ; Pulse Rate
kloop   linseg     0, .005, 1, iloop-.01, 1, .005,  0, p3-iloop-.01, 0 ; Gate in delay loop
kpan    oscil      1, 1/idur, ipantab             ; Panning
kmix    oscil      1, 1/idur, imixtab             ; Fading
kmodl   linseg     0, iloop/2, imodl, iloop/2, imodl/2, .01, 0, .01, 0

;                Amp   Fqc         Car   Mod    MAmp    Wave
abal    foscil   iamp, ifqc*krate, 1,    imodf, imodl,  1    ; FM Source

aout    =          abal*kloop+adel                ; Gate in with feedback
adel    delay      aout, iloop                    ; Delay

        outs       aout*sqrt(kpan)*kmix, aout*sqrt(1-kpan)*kmix ; Output pan & fade

        endin

;------------------------------------------------------------------
; Industrial Loops
;------------------------------------------------------------------
        instr      4

idur    =          p3
iamp    =          p4*2
ifqc    =          cpspch(p5)
iplstab =          p6
irattab =          p7
iratrat =          p8
ipantab =          p9
imixtab =          p10
ilptab  =          p11

kpan    oscil      1, 1/idur, ipantab             ; Panning
kmix    oscil      1, 1/idur, imixtab             ; Fading
kloop   oscil      1, 1/idur, ilptab              ; Looping
;kfc     expseg     .1, idur/2, 4, idur/2, .1      ; Fqc Center

loop1:
kprate  oscil      1, iratrat/kloop, irattab      ; Pulse Rate
kamp    oscil      iamp, kprate, iplstab          ; Amplitude Pulse

asig    rand       kamp                           ; Noise source
;aflt    butterbp   asig, ifqc*kfc, ifqc*kfc/4     ; Band Filter
aflt    butterbp   asig, ifqc, ifqc/4             ; Band Filter
aout    balance    aflt, asig                     ; Bring level back up

;       When the time runs out reinitialize
        timout     0, i(kloop), cont1
        reinit     loop1
cont1:

        outs       aout*sqrt(kpan)*kmix, aout*sqrt(1-kpan)*kmix ; Output pan & fade

        endin

;------------------------------------------------------------------
; Motorcycle
;------------------------------------------------------------------
        instr      5

idur    =          p3
iamp    =          p4*2
ifqc    =          cpspch(p5)
iplstab =          p6
irattab =          p7
iratrat =          p8
ipantab =          p9
imixtab =          p10
ilptab  =          p11

kpan    oscil      1, 1/idur, ipantab             ; Panning
kmix    oscil      1, 1/idur, imixtab             ; Fading
kloop   oscil      1, 1/idur, ilptab              ; Looping
;kfc     expseg     .1, idur/2, 4, idur/2, .1      ; Fqc Center

loop1:
kprate  oscil      1, iratrat/kloop, irattab      ; Pulse Rate
kamp    oscil      iamp, kprate, iplstab          ; Amplitude Pulse

asig    rand       kamp                           ; Noise source
;aflt    butterbp   asig, ifqc*kfc, ifqc*kfc/4     ; Band Filter
aflt    butterbp   asig, ifqc, ifqc/4             ; Band Filter
aout    balance    aflt, asig                     ; Bring level back up

;       When the time runs out reinitialize
        timout     0, i(kloop), cont1
        reinit     loop1
cont1:

        outs       aout*sqrt(kpan)*kmix, aout*sqrt(1-kpan)*kmix ; Output pan & fade

        endin

;------------------------------------------------------------------
; SciFi Effects
;------------------------------------------------------------------
        instr      6

idur    =          p3
iamp    =          p4
ifqc    =          cpspch(p5)
irattab =          p6
iratrat =          p7
ipantab =          p8
imixtab =          p9
ilptab  =          p10
imodf   =          p11
imodl   =          p12

kpan    oscil      1, 1/idur, ipantab             ; Panning
kmix    oscil      1, 1/idur, imixtab             ; Fading
kloop   oscil      1, 1/idur, ilptab              ; Looping

loop1:
kprate  oscil      1, iratrat/kloop, irattab            ; Pulse Rate

;                Amp   Fqc          Car   Mod    MAmp    Wave
aout    foscil   iamp, ifqc*kprate, 1,    imodf, imodl,  1    ; FM Source

;       When the time runs out reinitialize
        timout     0, i(kloop), cont1
        reinit     loop1
cont1:

        outs       aout*sqrt(kpan)*kmix, aout*sqrt(1-kpan)*kmix ; Output pan & fade

        endin

;------------------------------------------------------------------
; Sampler Effects
;------------------------------------------------------------------
        instr      7

idur    =          p3
iamp    =          p4
ifqc    =          p5
irattab =          p6
iratrat =          p7
ipantab =          p8
imixtab =          p9
ilptab  =          p10
isndin  =          p11

kpan    oscil      1, 1/idur, ipantab             ; Panning
kmix    oscil      1, 1/idur, imixtab             ; Fading
kloop   oscil      1, 1/idur, ilptab              ; Looping

loop1:
kprate  oscil      1, iratrat/kloop, irattab            ; Pulse Rate
kamp    linseg     0, .01, 1, i(kloop)-.02, 1, .01, 0

;                Amp     Fqc
;a1, a2  diskin   isndin, ifqc
a1, a2  soundin  isndin
aout    =        (a1+a2)/2*kamp

;       When the time runs out reinitialize
        timout     0, i(kloop), cont1
        reinit     loop1
cont1:

        outs       aout*sqrt(kpan)*kmix, aout*sqrt(1-kpan)*kmix ; Output pan & fade

        endin

;------------------------------------------------------------------
; Industrial Loops
;------------------------------------------------------------------
        instr      8

idur    =          p3
iamp    =          p4*2
ifqc    =          cpspch(p5)
iplstab =          p6
irattab =          p7
iratrat =          p8
ipantab =          p9
imixtab =          p10
ilptab  =          p11

kpan    oscil      1, 1/idur, ipantab             ; Panning
kmix    oscil      1, 1/idur, imixtab             ; Fading
kloop   oscil      1, 1/idur, ilptab              ; Looping
kfc     linseg     .001, idur*.75, 100, idur*.25, 100   ; Fqc Center

loop1:
kprate  oscil      1, iratrat/kloop, irattab      ; Pulse Rate
kamp    oscil      iamp, kprate, iplstab          ; Amplitude Pulse

asig    rand       kamp                           ; Noise source
aflt    butterbp   asig, ifqc*kfc, ifqc*kfc/8     ; Band Filter
aout    balance    aflt, asig                     ; Bring level back up

;       When the time runs out reinitialize
        timout     0, i(kloop), cont1
        reinit     loop1
cont1:

        outs       aout*sqrt(kpan)*kmix, aout*sqrt(1-kpan)*kmix ; Output pan & fade

        endin



