sr=44100
kr=4410
ksmps=10
nchnls=2
zakinit 50,50

       instr  1

idur   =      p3 ; + .2
;p3     =      p3 + .2
iamp   =      p4
ifqc   =      cpspch(p5)
itab1  =      p6
ioutch =      p7

aamp   linseg 0, .002, 1, idur-.102, 1, .1, 0
asig   pluck  iamp, ifqc, ifqc, 0, 1
       zaw    asig*aamp, ioutch
       outs   asig*aamp, asig*aamp

       endin

;----------------------------------------------------------------------------------
; Simple All-Pass Filter
;----------------------------------------------------------------------------------
       instr  11

idur   =      p3
itime  =      p4/1000
igain  =      p5
iinch  =      p6
ioutch =      p7
adel1  init   0

ain    zar    iinch

aout   =      adel1-igain*ain           ; Feed Forward
atmp   =      ain+igain*aout
adel1  delay  atmp, itime     ; Delay and Feedback

       zaw    aout, ioutch

       endin

;----------------------------------------------------------------------------------
; Single Nested All-Pass Filter
;----------------------------------------------------------------------------------
       instr  12

idur   =      p3
itime1 =      p4/1000-p6/1000
igain1 =      p5
itime2 =      p6/1000
igain2 =      p7
iinch  =      p8
ioutch =      p9
adel1  init   0
adel2  init   0

ain    zar    iinch

asum   =      adel2 - igain2*adel1         ; Feed Forward (Inner all-pass)
aout   =      asum  - igain1*ain           ; Feed Forward (Outer all-pass)

adel1  delay  ain   + igain1*aout, itime1  ; Feedback (Outer all-pass)
adel2  delay  adel1 + igain2*asum, itime2  ; Feedback (Inner all-pass)

       zaw    aout, ioutch

       endin

;----------------------------------------------------------------------------------
; Double Nested All-Pass Filter (1 outer with 2 inner in series)
;----------------------------------------------------------------------------------
       instr  13

idur   =      p3
itime1 =      p4/1000-p6/1000-p8/1000
igain1 =      p5
itime2 =      p6/1000
igain2 =      p7
itime3 =      p8/1000
igain3 =      p9
iinch  =      p10
ioutch =      p11
adel1  init   0
adel2  init   0
adel3  init   0

ain    zar    iinch

asum1  =      adel2 - igain2*adel1         ; First  Inner Feed Forward
asum2  =      adel3 - igain3*asum1         ; Second Inner Feed Forward
aout   =      asum2 - igain1*ain           ; Outer  Feed Forward

adel1  delay  ain   + igain1*aout, itime1  ; Outer Feedback
adel2  delay  adel1 + igain2*asum1, itime2 ; First Inner Feedback
adel3  delay  asum1 + igain3*asum2, itime3 ; Second Inner Feedback

       zaw    aout, ioutch

       endin

;----------------------------------------------------------------------------------
; Simple All-Pass Filter
;----------------------------------------------------------------------------------
       instr  21

idur   =      p3
itime  =      p4
igain  =      p5
iinch  =      p6
ioutch =      p7

ain    zar      iinch
aout   nestedap ain, 1, itime, igain
       zaw      aout, ioutch

       endin

;----------------------------------------------------------------------------------
; Single Nested All-Pass Filter
;----------------------------------------------------------------------------------
       instr  22

idur   =      p3
itime1 =      p4
igain1 =      p5
itime2 =      p6
igain2 =      p7
iinch  =      p8
ioutch =      p9

ain    zar    iinch
aout   nestedap ain, 2, itime1, igain1, itime2, igain2
       zaw    aout, ioutch

       endin

;----------------------------------------------------------------------------------
; Double Nested All-Pass Filter (1 outer with 2 inner in series)
;----------------------------------------------------------------------------------
       instr  23

idur   =      p3
itime1 =      p4
igain1 =      p5
itime2 =      p6
igain2 =      p7
itime3 =      p8
igain3 =      p9
iinch  =      p10
ioutch =      p11

ain    zar      iinch
aout   nestedap ain, 3, itime1, igain1, itime2, igain2, itime3, igain3
       zaw      aout, ioutch

       endin

;----------------------------------------------------------------------------------
; Output For reverb
       instr  90

idur   =      p3
igain  =      p4
ipan   =      p5
iinch  =      p6

ain    zar    iinch
       outs   ain*ipan*igain, ain*(1-ipan)*igain  ; Inverting one side makes the sound
       endin                           ; seem to come from all around you.
                                       ; This may cause some problems with certain
                                       ; surround sound systems

