sr=44100
kr=4410
ksmps=10
nchnls=2
zakinit 50, 50

;---------------------------------------------------------------
; LFO
;---------------------------------------------------------------
           instr   5

idur       =       p3
iamp       =       p4
ifqc       =       p5
iwave      =       p6
ioffset    =       p7
ioutch     =       p8

ksig       oscil   iamp, ifqc, iwave
kout       =       ksig*.5+ioffset
           zkw     kout, ioutch

           endin

;---------------------------------------------------------------
; Moog VCO with Mikleson filter
;---------------------------------------------------------------
           instr   12

idur       =       p3              ; Duration
iamp       =       p4              ; Amplitude
ifqc       =       cpspch(p5)      ; Frequency
irtfqc     =       sqrt(ifqc)      ; Square root of frequency
ifco       =       p6*ifqc/500     ; Filter cut off (higher frequencies get a higher cut off)
krez       init    p7              ; Resonance does not change in this instrument
iwave      =       p8              ; Selected wave form 1=Saw, 2=Square/PWM, 3=Tri/Saw-Ramp-Mod
ipwch      =       p9              ; PWM Channel
ipbend     =       p10             ; Pitch Bend Table
isine      =       1
imaxd      =       1/ifqc*2
imode      =       p11

ileak      =       (iwave==2 ? .999 : (iwave==3 ? .995 : .999)) ; Leaky integration value

kpw        zkr     ipwch           ; Read the Zak modulation channel
kpwn       =       kpw-.5          ; Get a pulse width that goes from -.5 to .5
kfco       expseg  100+.1*ifco, .2*idur, ifco+100, .5*idur, ifco*.1+100, .3*idur, .1*ifco+100 ; Filter envelope
kpbend     oscil   1, 1/idur, ipbend  ; Pitch bend
kamp       linseg  0, .01*idur, iamp, .2*idur, .8*iamp, .59*idur, .5*iamp, .2*idur, 0            ; Amp envelope
kfqc       =       ifqc*kpbend

asig       vco     1, kfqc, iwave, kpw, isine, imaxd
aout       rezzy   asig, kfco*kpbend, krez, imode               ; Apply the filter

           outs    aout*kamp, asig*iamp                         ; Stereo ouput and amplification
           endin
